Bug 6220 - плохо обрабатывает SIGWINCH?
: плохо обрабатывает SIGWINCH?
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/openssh-clients)
: unstable
: all Linux
: P2 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-03-04 19:50 by
Modified: 2007-04-05 00:43 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-03-04 19:50:11
Если запустить ssh в xterm и xterm во время установки соединения растягивать,
то
получаем следующую ошибку:
debug1: Entering interactive session.
debug1: channel 0: request window-change
debug1: channel 0: request window-change
debug1: channel 0: request window-change
debug1: channel 0: request pty-req
debug1: channel 0: request shell
debug1: channel 0: open confirm rwindow 0 rmax 32768
debug1: channel 0: request window-change
debug1: channel 0: request window-change
Received disconnect from 212.40.36.150: 2: server_input_channel_req: unknown
channe
1
debug1: Calling cleanup 0x8051b20(0x0)
debug1: Calling cleanup 0x805a7c0(0x0)
debug1: channel_free: channel 0: client-session, nchannels 1
debug1: Calling cleanup 0x8062480(0x0)


Без -v следующее:
Received disconnect from 212.40.36.150: 2: server_input_channel_req: unknown
channel -1
tcsetattr: Interrupted system call
------- Comment #1 From 2005-03-17 09:26:11 -------
Тот же самый эффект при sshd, работающем на FreeBSD:
debug1: channel 0: new [client-session]
debug1: Entering interactive session.
tcsetattr: Interrupted system call
debug1: channel 0: request window-change
debug1: channel 0: request pty-req
debug1: channel 0: request shell
debug1: channel 0: open confirm rwindow 0 rmax 32768
Received disconnect from XXX.XXX.XXX.XXX: 2: server_input_channel_req: unknown
channel -1
------- Comment #2 From 2007-04-04 21:29:01 -------
Seems to be fixed in openssh-4.6p1-alt1
------- Comment #3 From 2007-04-05 00:43:22 -------
Аллилуйя! :) Проверить пока, правда, не могу.